Unshare Domain

Unshare Domain
Unshare a domain

This endpoint removes an organization from the list of organizations an organization-scoped domain is shared with. This prevents the organization from using the organization-scoped domain.

Request
URI
DELETE
https://api.example.local/v3/domains/{guid}/relationships/shared_organizations/{org_guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

string
org_guid
Required

The GUID of the organization to unshare the domain from


Authentication
This operation uses the following authentication methods.
Responses
204

Successfully unshared domain

Operation doesn't return any data structure

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/domains/{guid}/relationships/shared_organizations/{org_guid}